program http;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}
  cthreads,
  {$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, http_main, indylaz, IdSSLOpenSSLHeaders, tb_indy_cert_helper, sysutils
  { you can add units after this };

{$R *.res}

const
{$IF DEFINED(LINUX)}
  OPEN_SSL_LIB_PATH = 'openssl_libs/linux/';
{$ELSEIF DEFINED(WINDOWS)}
  OPEN_SSL_LIB_PATH = 'openssl_libs\win\';
{$ELSE}
  {$ERROR Platform nicht unterstüzt}
{$ENDIF}


begin
  IdOpenSSLSetLibPath(OPEN_SSL_LIB_PATH);
  RequireDerivedFormResource:=True;
  Application.Scaled:=True;
  Application.Initialize;
  Application.CreateForm(TFHttp, FHttp);
  Application.Run;
end.

